---
- name: Running Ironic bootstrap container
  kolla_docker:
    action: "start_container"
    common_options: "{{ docker_common_options }}"
    detach: False
    environment:
      KOLLA_BOOTSTRAP:
      KOLLA_CONFIG_STRATEGY: "{{ config_strategy }}"
    image: "{{ ironic_api_image_full }}"
    labels:
      BOOTSTRAP:
    name: "bootstrap_ironic"
    restart_policy: "never"
    volumes:
      - "{{ node_config_directory }}/ironic-api/:{{ container_config_directory }}/:ro"
      - "/etc/localtime:/etc/localtime:ro"
  run_once: True
  delegate_to: "{{ groups['ironic-api'][0] }}"
  when: inventory_hostname in groups['ironic-api']

- name: Running Ironic Inspector bootstrap container
  kolla_docker:
    action: "start_container"
    common_options: "{{ docker_common_options }}"
    detach: False
    environment:
      KOLLA_BOOTSTRAP:
      KOLLA_CONFIG_STRATEGY: "{{ config_strategy }}"
    image: "{{ ironic_inspector_image_full }}"
    labels:
      BOOTSTRAP:
    name: "bootstrap_ironic_inspector"
    restart_policy: "never"
    volumes:
      - "{{ node_config_directory }}/ironic-inspector/:{{ container_config_directory }}/:ro"
      - "/etc/localtime:/etc/localtime:ro"
  run_once: True
  delegate_to: "{{ groups['ironic-inspector'][0] }}"
  when: inventory_hostname in groups['ironic-inspector']
